Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605601 - [abrt] crash in terminator-0.93-1.fc13: platform.py:951:_syscmd_uname:IOError: [Errno 10] No child processes
[abrt] crash in terminator-0.93-1.fc13: platform.py:951:_syscmd_uname:IOError...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: terminator (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:adec0038
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 07:02 EDT by ruslancusnir
Modified: 2010-08-06 17:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: terminator-0.94-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 17:03:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (911 bytes, text/plain)
2010-06-18 07:02 EDT, ruslancusnir
no flags Details

  None (edit)
Description ruslancusnir 2010-06-18 07:02:10 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/terminator
component: terminator
executable: /usr/bin/terminator
kernel: 2.6.33.5-124.fc13.x86_64
package: terminator-0.93-1.fc13
reason: platform.py:951:_syscmd_uname:IOError: [Errno 10] No child processes
release: Fedora release 13 (Goddard)

backtrace
-----
platform.py:951:_syscmd_uname:IOError: [Errno 10] No child processes

Traceback (most recent call last):
  File "/usr/bin/terminator", line 42, in <module>
    import terminatorlib.optionparse
  File "/usr/lib/python2.6/site-packages/terminatorlib/optionparse.py", line 24, in <module>
    import config
  File "/usr/lib/python2.6/site-packages/terminatorlib/config.py", line 87, in <module>
    'try_posix_regexp'      : platform.system() != 'Linux',
  File "/usr/lib64/python2.6/platform.py", line 1227, in system
    return uname()[0]
  File "/usr/lib64/python2.6/platform.py", line 1194, in uname
    processor = _syscmd_uname('-p','')
  File "/usr/lib64/python2.6/platform.py", line 951, in _syscmd_uname
    rc = f.close()
IOError: [Errno 10] No child processes

Local variables in innermost frame:
default: ''
output: 'x86_64'
option: '-p'
f: <closed file 'uname -p 2> /dev/null', mode 'r' at 0x2147ad0>
Comment 1 ruslancusnir 2010-06-18 07:02:13 EDT
Created attachment 425081 [details]
File: backtrace
Comment 2 Dominic Hopf 2010-06-18 08:34:51 EDT
Thanks very much for reporting the issue. Can you remember what exactly you we're doing when this crash occured?
Comment 3 ruslancusnir 2010-07-19 02:59:20 EDT
Hi,

As I remember, I bind the terminator to shortcut in gnome, and every time when I press shortcut it crashes.
Comment 4 Dominic Hopf 2010-07-19 17:36:17 EDT
I'll push a new Terminator version, 0.94, please have a look if the problem still exists with that version. :)
Comment 5 Fedora Update System 2010-07-19 17:45:37 EDT
terminator-0.94-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/terminator-0.94-1.fc13
Comment 6 Fedora Update System 2010-08-06 17:02:43 EDT
terminator-0.94-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.